// Force acting on parallel current-carrying conductors in air
// SCILAB source file: ex2002.sce
// Get data from dialog box
txt = ['Ia in A';'Ib in A';'d in mm'];
var = x_mdialog('Enter current in each conductor and separation',txt,['75';'75';'5.5']);
ia = evstr(var(1));
ib = evstr(var(2));
d = 1E-3 * evstr(var(3));
// Calculate force between conductors
F = (2E-7 * ia * ib) / d;
// Display result
  messagebox("Force = " + string(F) + " Newton");

